com.amazonaws.services.elastictranscoder.model

## Class Warning

- java.lang.Object
- - com.amazonaws.services.elastictranscoder.model.Warning

All Implemented Interfaces:
  Serializable, Cloneable

    public class Warning
    extends Object
    implements Serializable, Cloneable

Elastic Transcoder returns a warning if the resources used by your pipeline are not in the same region as the pipeline.

Using resources in the same region, such as your Amazon S3 buckets, Amazon SNS notification topics, and AWS KMS key, reduces processing time and prevents cross-regional charges.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Warning()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Warning` `clone()`
`boolean` `equals(Object obj)`
`String` `getCode()` The code of the cross-regional warning.
`String` `getMessage()` The message explaining what resources are in a different region from the pipeline.
`int` `hashCode()`
`void` `setCode(String code)` The code of the cross-regional warning.
`void` `setMessage(String message)` The message explaining what resources are in a different region from the pipeline.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`Warning` `withCode(String code)` The code of the cross-regional warning.
`Warning` `withMessage(String message)` The message explaining what resources are in a different region from the pipeline.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Warning

    public Warning()

### Method Detail

#### setCode

    public void setCode(String code)

The code of the cross-regional warning.

Parameters:
  `code` - The code of the cross-regional warning.

#### getCode

    public String getCode()

The code of the cross-regional warning.

Returns:
  The code of the cross-regional warning.

#### withCode

    public Warning withCode(String code)

The code of the cross-regional warning.

Parameters:
  `code` - The code of the cross-regional warning.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMessage

    public void setMessage(String message)

The message explaining what resources are in a different region from the pipeline.

<note>

AWS KMS keys must be in the same region as the pipeline.

</note>

Parameters:
  `message` - The message explaining what resources are in a different region from the pipeline. <note>

  AWS KMS keys must be in the same region as the pipeline.

#### getMessage

    public String getMessage()

The message explaining what resources are in a different region from the pipeline.

<note>

AWS KMS keys must be in the same region as the pipeline.

</note>

Returns:
  The message explaining what resources are in a different region from the pipeline. <note>

  AWS KMS keys must be in the same region as the pipeline.

#### withMessage

    public Warning withMessage(String message)

The message explaining what resources are in a different region from the pipeline.

<note>

AWS KMS keys must be in the same region as the pipeline.

</note>

Parameters:
  `message` - The message explaining what resources are in a different region from the pipeline. <note>

  AWS KMS keys must be in the same region as the pipeline.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public Warning clone()

Overrides:
  `clone` in class `Object`